// import 'dart:convert';
// import 'dart:developer';
//
// import 'package:marianum_mobile/api/marianumcloud/webdav/queries/listFiles/listFiles.dart';
// import 'package:marianum_mobile/api/marianumcloud/webdav/queries/listFiles/listFilesParams.dart';
// import 'package:marianum_mobile/api/marianumcloud/webdav/queries/listFiles/listFilesResponse.dart';
// import 'package:marianum_mobile/api/requestCache.dart';
// import 'package:webdav_client/webdav_client.dart';
//
// class ListFilesCache extends RequestCache<ListFilesResponse> {
//   String path;
//
//   ListFilesCache({required onUpdate, required this.path}) : super(RequestCache.cacheNothing, onUpdate) {
//     String cacheName = path.replaceAll(RegExp("[^A-Za-z0-9]"), "_"); //TODO this is very evil, "/ü/" > "___" also "/ä/" > "___"
//     log(cacheName);
//
//     start("MarianumMobile", "wd-folder-$cacheName");
//   }
//
//   @override
//   Future<ListFilesResponse> onLoad() async {
//     log("Loading remote data");
//     ListFilesResponse data = await ListFiles(ListFilesParams(path)).run();
//     return data;
//   }
//
//   @override
//   ListFilesResponse onLocalData(String json) {
//     log("Loading local data");
//     return ListFilesResponse.fromJson(jsonDecode(json));
//   }
//
// }