import 'dart:developer';

import 'package:marianum_mobile/api/marianumcloud/talk/room/getRoomCache.dart';
import 'package:marianum_mobile/api/marianumcloud/talk/room/getRoomResponse.dart';
import 'package:marianum_mobile/data/dataHolder.dart';

import '../../api/apiResponse.dart';

class ChatListProps extends DataHolder {
  GetRoomResponse? _getRoomResponse;
  GetRoomResponse get getRoomsResponse => _getRoomResponse!;

  @override
  List<ApiResponse?> properties() {
    return [_getRoomResponse];
  }

  @override
  void run() {
    log("RUN CACHE");
    GetRoomCache(
      onUpdate: (GetRoomResponse data) => {
        _getRoomResponse = data,
        notifyListeners(),
      }
    );
  }

}